Bug 1410812 - Filter out all the host controllers (except the domain ctrl) when 'counting' how many domains there are
Summary: Filter out all the host controllers (except the domain ctrl) when 'counting' ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Jirka Kremser
QA Contact: Prachi
URL:
Whiteboard:
Depends On:
Blocks: 1410818
TreeView+ depends on / blocked
 
Reported: 2017-01-06 14:46 UTC by Satoe Imaishi
Modified: 2019-08-06 20:06 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1410818 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:35:23 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)
UI screen-shot (150.90 KB, image/png)
2017-02-20 13:17 UTC, Prachi
no flags Details

Description Satoe Imaishi 2017-01-06 14:46:41 UTC
From PR https://github.com/ManageIQ/manageiq/pull/12075:

There are 2 changes in the code:

The first one (middleware_manager.rb) changes the way how the domains are fetched from the provider. We basically count, how many domain controllers are in the hawkular-inventory. Not every host controller is also a domain controller so this needs to be assured, this information is in the resource configuration.

The second change is about how the domain servers are fetched. Before we asked about all the children resources of the host/domain controller. This was we obtained the information about which host has which server, but domain is an abstract concept (not dealing with where is each server running) so now we just asked the feed about all the resources of type Domain WildFly Server. This is faster then filtering all the child resources in memory based on the type, but it assumes that there is only 1 domain per feed which is always true, afaik.

Comment 4 Prachi 2017-02-14 18:16:47 UTC
1) Able to get domain controller in middleware- provider

Steps:
1) Navigate to provider
2) click on Middleware domains

This will show the domain controller

2) Did get the way to fetch the domain servers.

Comment 5 Prachi 2017-02-20 13:15:53 UTC
This bug is verified.

1) 1) Able to get domain controller in middleware- provider

Steps

1.1) click on Domains
1.2) in feed section it is showing "master" for domain controller



2) Able to fetch the domain servers

2.1)  Click on Servers
2.2)  in feed section it is showing "master" for domain server

Comment 6 Prachi 2017-02-20 13:17:06 UTC
Created attachment 1255680 [details]
UI screen-shot


Note You need to log in before you can comment on or make changes to this bug.